This happens with other constants? would it happen the same with GL_QUADS or GL_LINE_LOOP?
Posts
-
RE: View.draw2d(GL_POINTS, pts) on ATI with AA
-
RE: Help me solve a mystery
Is this editor will have the same behavior?
SketchUp Ruby Code Editor • [as]
This code editor extension offers an easy-to-use and visually appealing way to write and modify Ruby scripts directly within SketchUp. These scripts can then be used to create geometry, add functionality or add data within the SketchUp 3D modeling environment. The SketchUp Ruby API provides an extensive set of functions to automatize SketchUp in many ways or create scripted, computational geometry.
[as] (www.alexschreyer.net)
the author said it was based on the Ruby Web Console
-
RE: Move instances softly, using the mouse
thank you very much, is what I needed to know
by the way, I wanted to look at your plugins and I did not find them, look in the pluginstore and select search by author... -
Move instances softly, using the mouse
hi all, I'm trying to make a tool to move groups, similar to the native tool of sketchup, but so far I'm starting, I wrote the following code and I do not know why the group does not move smoothly
#before beginning must have a selected group class MoveGroup def onMouseMove flags, x, y, view mod = Sketchup.active_model sel = mod.selection.to_a[0] input = view.inputpoint x,y p = input.position tr = Geom;;Transformation.translation p sel.move!(tr) if sel.is_a?(Sketchup;;Group) view.refresh end end Sketchup.active_model.select_tool MoveGroup.new
in advance I appreciate your help (Google translator)
-
RE: [Plugin][$] FredoScale - v3.6a - 01 Apr 24
right now I'm not designing something, I'm just writing a plugin and discovered this bug by chance
I think that could be a problem related to the issue that are not "unique groups" and are nested
-
RE: [Plugin][$] FredoScale - v3.6a - 01 Apr 24
@dave r said:
What a strange way of grouping things. It makes no sense.
Still, I'm not having any difficulty modifying it with FredoScale. Maybe you could show what you are trying to achieve?
Dave tries to use "radial bend" (for example) on the largest group
-
RE: [Plugin][$] FredoScale - v3.6a - 01 Apr 24
The tools in this plugin having to modify geometry, causing "bugs plats" in one instance with instances nested inside, works well when the tool only affects axes
I understand that exploiting all interior groups solved the problem, but would be good if the user had some kind of warning
I'm using the latest version of this plugin in Sketchup 8 (Spanish version)
I attached a file as an example of a group that can cause problemsforgive errors of translation (google translator)
-
RE: Closing open groups via Ruby?
@thomthom said:
In SU2014, yes.
What would be the best way to write this for Sketchup 8 or 2013?
(google translator) -
RE: Error in the view (Vray 2.0)
apparently this problem has been fixed in version 2.00.24
-
Error in the view (Vray 2.0)
(google translator) Hi, I wanted to make some renders from certain perspectives perfectly aligned with the geometry. I created a scene for rendering always from the same place and I notice that sometimes fails Vray, for some strange reason, Vray rotate the view slightly (roll) sometimes, as show below:
Defective render
Proper render
apparently this error appears especially if you render several times from the same view, I use "Sketchup 8" and "Vray 2.00.23490"
I attached the skp corresponding to images, although this error appears on any skpI do not know if this has any solution
-
RE: Count instances correctly
Thanks Dan, this can give me a hint, I'm testing with the definition given there, but in my testing model (instances.skp) gives me a wrong number of instances, sometimes less or sometimes more, I do not know if I'm misapplying the definition count_instances ()
# you must have a selected instance def count_instances() num = 0 if @editpath.size == 1 i = @editpath.last else revpath = @editpath.reverse i = revpath.shift end if i.is_a?(Sketchup;;ComponentInstance) num = i.definition.instances.size elsif i.is_a?(Sketchup;;Group) num = i.entities.parent.instances.size end if @editpath.size > 1 revpath.each {|i| if i.is_a?(Sketchup;;ComponentInstance) num = num * i.definition.instances.size elsif i.is_a?(Sketchup;;Group) num = num * i.entities.parent.instances.size end } end return num end mod = Sketchup.active_model sel = mod.selection ruta = mod.active_path (ruta) ? (ruta[ruta.size] = sel[0]) ; (ruta = []; ruta[0] = sel[0]) @editpath = ruta count_instances()
-
Count instances correctly
hi all, I would like to know how to count the number of instances of a definition, the "Entity Info" window appears correctly butdefinition.count_instances
do not, is there anything in the API or somewhere to get this information? attached skp file with which I am doing testsinstances.skp
thank you very much in advance for the help
(google translator) -
RE: Create groups of instances correctly
Yes, if the user has applied a material without opening the instance, the material is assigned to the instance and not to the faces, then it would seem that after executing the code, the object has lost color
-
RE: Create groups of instances correctly
Unfortunately I have to perform the task outside the active context for what I'm going to use the method proposed by Dan, but I think you need to add the following properties;
material, attribute_dictionaries, layer, description, entity_name, name, receives_shadows, casts_shadows
I wonder if there are more properties that can be inherited by the new instance
(google translator) -
RE: Create groups of instances correctly
thank you very much Dan and TIG this information is exactly what I needed
-
Create groups of instances correctly
Hi all, I want to create a new group and place inside group or component with previously created in sketchup. I have observed that writing
.Add_group(component)
or.Add_group(group)
may cause bug splats.. I do not know how to do this properly, Thanks in advance for your help
(google translator) -
RE: New things in the API (sketchup 2014)
@unknownuser said:
Here really:
http://www.sketchup.com/intl/en/developer/docs/releasesthis is exactly what I wanted to see, thanks Dan
think there had never been so many changes and corrections in a single version!
-
RE: New things in the API (sketchup 2014)
interesting!
I see that now incorporate ruby 2.0 in the API, what new possibilities open to us? -
New things in the API (sketchup 2014)
I am very intrigued by the new things in the API for Sketchup 2014, I do not know if anyone has explained how these new things work, has anyone explained somewhere?
I'm intriguedEntities.active_section_plane =
means that you can apply transformations to section_plane ? (Google translator) -
RE: Preserve integrity of curves when creating faces
I think in the plugin code "weld" is what you need
(google translator)